Subject: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Trevor Bentley <[email-masked]>
Date: Sat, 12 Dec 2020 21:14:05 +0100

Eli Zaretskii <[email-masked]> writes:

>> Could be, but for tens of minutes? 
> 
> If the system is paging, it could take that long, yes. 
> 
>> AFAIK gc_sweep shouldn't cause too much thrashing either (the 
>> sweep is a mostly sequential scan of memory, so even if the 
>> total heap is larger than your total RAM, it should be ~O(total 
>> heap size / bandwidth from 

In my particular case, I have plenty of free memory.  I assume 
nothing is paging to disk in any of my reports, though I haven't 
thought to explicitly check.

-Trevor